import request from '@/config/axios'

// 大模型问题设置参数 VO
export interface QuestionParamSettingVO {
  id: string // id
  templateId: string // 问题模板id
  settingKey: string // key
  settingName: string // 参数名称
  settingValue: string // 参数默认值
  sort: number // 排序
}

// 大模型问题设置参数 API
export const QuestionParamSettingApi = {
  // 查询大模型问题设置参数分页
  getQuestionParamSettingPage: async (params: any) => {
    return await request.get({ url: `/ai/question-param-setting/page`, params })
  },

  // 查询大模型问题设置参数详情
  getQuestionParamSetting: async (id: number) => {
    return await request.get({ url: `/ai/question-param-setting/get?id=` + id })
  },

  // 新增大模型问题设置参数
  createQuestionParamSetting: async (data: QuestionParamSettingVO) => {
    return await request.post({ url: `/ai/question-param-setting/create`, data })
  },

  // 修改大模型问题设置参数
  updateQuestionParamSetting: async (data: QuestionParamSettingVO) => {
    return await request.put({ url: `/ai/question-param-setting/update`, data })
  },

  // 删除大模型问题设置参数
  deleteQuestionParamSetting: async (id: number) => {
    return await request.delete({ url: `/ai/question-param-setting/delete?id=` + id })
  },

  // 导出大模型问题设置参数 Excel
  exportQuestionParamSetting: async (params) => {
    return await request.download({ url: `/ai/question-param-setting/export-excel`, params })
  },
}